
Redmine - Defect #11545

Overwriting existing method Issue.open

2012-07-31 11:22 - Petr Pospisil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed Affected version: 2.0.0

Description

Try

Project.first.issues.open => ArgumentError: wrong number of arguments (0 for 1)

Project.first.issues.open('public') => Errno::EACCES: Permission denied - public

From log:

Creating scope :open. Overwriting existing method Issue.open.

And others:

Creating scope :active. Overwriting existing method User.active.

Creating scope :open. Overwriting existing method Version.open.

etc..

Thanks for resolve

(workaround: Project.first.issues.visible.open)

Petr

Associated revisions

Revision 10159 - 2012-08-07 18:13 - Jean-Philippe Lang

Prevents "Overwriting existing method Issue.open" warning (#11545).

Revision 10160 - 2012-08-07 18:14 - Jean-Philippe Lang

Prevent "Overwriting existing method User.active" warning, scope is already defined on the base class (#11545).

Revision 10199 - 2012-08-13 16:23 - Jean-Philippe Lang

Fixed that open scope on Project#issues raises an error (#11545).

Patch by Petr Pospisil.

Revision 10208 - 2012-08-17 16:34 - Jean-Philippe Lang

Prevents "Overwriting existing method Issue.open" warning (#11545).

History

#1 - 2012-08-06 23:24 - Jean-Philippe Lang

- Status changed from New to Confirmed

- Priority changed from Urgent to Normal

#2 - 2012-08-12 18:56 - Alexander Markelov

- File kernel_open_method_fix.diff added

I hope the following patch will help.

#3 - 2012-08-13 16:24 - Jean-Philippe Lang
- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.0

- Resolution set to Fixed

Patch committed in r10199 with a test. Thanks for the fix.

#4 - 2012-08-14 10:23 - Petr Pospisil

Thank you!

Files

kernel_open_method_fix.diff 1.78 KB 2012-08-12 Alexander Markelov
